package com.yanzhu.jh.project.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目特种人员对象 sur_project_work_special
 * 
 * @author JiangYuQi
 * @date 2023-08-09
 */
public class SurProjectWorkSpecial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 项目主键 */
    @Excel(name = "项目主键")
    private Long projectId;

    /** 部门主键 */
    @Excel(name = "部门主键")
    private Long deptId;

    /** 特种人员类型 */
    @Excel(name = "特种人员类型")
    private String specialType;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 性别 */
    @Excel(name = "性别")
    private String sex;

    /** 年龄 */
    @Excel(name = "年龄")
    private Long age;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phoneNumber;

    /** 身份证号 */
    @Excel(name = "身份证号")
    private String idNumber;

    /** 是否有证书 */
    @Excel(name = "是否有证书")
    private String isCredential;

    /** 证书编号 */
    @Excel(name = "证书编号")
    private String credentialNumber;

    /** 证书过期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "证书过期时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date credentialExpirationTime;

    /** 证书附件 */
    @Excel(name = "证书附件")
    private String credentialFile;

    /** 证书类型 */
    @Excel(name = "证书类型")
    private String credentialType;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Integer isDel;

    private String projectName;
    private String deptName;
    private String specialTypeName;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setSex(String sex) 
    {
        this.sex = sex;
    }

    public String getSex() 
    {
        return sex;
    }
    public void setAge(Long age) 
    {
        this.age = age;
    }

    public Long getAge() 
    {
        return age;
    }
    public void setIdNumber(String idNumber) 
    {
        this.idNumber = idNumber;
    }

    public String getIdNumber() 
    {
        return idNumber;
    }
    public void setIsCredential(String isCredential) 
    {
        this.isCredential = isCredential;
    }

    public String getIsCredential() 
    {
        return isCredential;
    }
    public void setCredentialNumber(String credentialNumber) 
    {
        this.credentialNumber = credentialNumber;
    }

    public String getCredentialNumber() 
    {
        return credentialNumber;
    }
    public void setCredentialExpirationTime(Date credentialExpirationTime) 
    {
        this.credentialExpirationTime = credentialExpirationTime;
    }

    public Date getCredentialExpirationTime() 
    {
        return credentialExpirationTime;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getCredentialFile() {
        return credentialFile;
    }

    public void setCredentialFile(String credentialFile) {
        this.credentialFile = credentialFile;
    }

    public String getCredentialType() {
        return credentialType;
    }

    public void setCredentialType(String credentialType) {
        this.credentialType = credentialType;
    }

    public String getSpecialType() {
        return specialType;
    }

    public void setSpecialType(String specialType) {
        this.specialType = specialType;
    }

    public String getSpecialTypeName() {
        return specialTypeName;
    }

    public void setSpecialTypeName(String specialTypeName) {
        this.specialTypeName = specialTypeName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("deptId", getDeptId())
            .append("specialType", getSpecialType())
            .append("name", getName())
            .append("sex", getSex())
            .append("age", getAge())
            .append("phoneNumber", getPhoneNumber())
            .append("idNumber", getIdNumber())
            .append("isCredential", getIsCredential())
            .append("credentialNumber", getCredentialNumber())
            .append("credentialExpirationTime", getCredentialExpirationTime())
            .append("credentialFile", getCredentialFile())
            .append("credentialType", getCredentialType())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
